Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511186 - Keep Namespace On Error Configuration Value Should be Set For openshift ansible
Summary: Keep Namespace On Error Configuration Value Should be Set For openshift ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.0
Assignee: Shawn Hurley
QA Contact: Zhang Cheng
URL:
Whiteboard:
: 1510406 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 20:42 UTC by Shawn Hurley
Modified: 2017-11-28 22:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 22:22:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Shawn Hurley 2017-11-08 20:42:21 UTC
Description of problem:
During ASB install for Openshift ansible we would expect that the keep_namespace_on_error value in the broker configuration file to be set to true.

Version-Release number of selected component (if applicable):


How reproducible:
Always 

Steps to Reproduce:
1. Run openshift installer
2.
3.

Actual results:
keep_namespace_on_error is not set.

Expected results:
keep_namespace_on_error should be set to true in the broker config

Additional info:

Comment 1 Shawn Hurley 2017-11-08 20:59:34 UTC
Fixed in PR: https://github.com/openshift/openshift-ansible/pull/6067

Comment 3 Zhang Cheng 2017-11-09 08:14:20 UTC
Verified with openshift-ansible-3.7.4-1
keep_namespace_on_error: true (by default)

Comment 4 John Matthews 2017-11-09 19:34:09 UTC
*** Bug 1510406 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2017-11-28 22:22:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.